<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ClimaTrack</title>
    <link rel="icon" href="./images/cloud.png" type="image/x-icon">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@24,400,0,0" />
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Lora:ital,wght@0,400..700;1,400..700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="./style.css">
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-lg navbar-dark p-3">
            <div class="container">
              <a class="navbar-brand fs-3 fw-semibold" href="#">ClimaTrack</a>
              <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
              </button>
              <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav ms-auto">
                    <li class="nav-item">
                        <a class="nav-link" href="#aboutUs">About Us</a>
                    </li>
                    <li class="nav-item">
                    <a class="nav-link" href="./Cities.html">Popular Cities</a>
                      </li>
                    <li class="nav-item">
                    <a class="nav-link" href="#contact">Contact Us</a>
                    </li>
                </ul>
              </div>
            </div>
          </nav>
    </header>
    <main>
       </section>
       <section class="section2">
        <div class="container py-3">
            <div class="row">
                <div class="col-md-6 col-lg-4 mx-auto mt-4">
                    <article class="weatherSection p-3" id="weatherDisplay">
                        <div class="searchDiv d-flex flex-row justify-content-center align-items-center gap-2">
                            <i class="fas fa-map-marker-alt"></i>
                            <input type="text"  id="cityInput" placeholder="Type Your City">
                            <button id="btnClick"><i class="fas fa-search"></i></button>
                        </div>
                        <img src="./images/cloud.png" alt="weather conditions" class="weatherImg">
                        <h5 id="cityName"></h5>
                        <h2 id="temp"></h2>
                        <h5 id="cloudStatus"></h5>
                        <div class="humidityDiv">
                            <div class="weatherHumidity">
                                <i class="fas fa-wind"><span id="windSpan"></span></i>
                            </div>
                            <div class="weatherHumidity">
                                <i class="fas fa-tint"><span id="humiditySpan"></span></i>
                            </div> 
                        </div>
                    </article>
                    <article id="error404">
                        <button id = backBtn><i class="fas fa-arrow-left"></i> Go Back</button>
                        <img src="./images/404.png" alt="error404">
                        <p>Oops! Invalid location :/</p>
                    </article>
                </div>
                <div class="col-md-6 my-3 d-flex flex-column justify-content-center align-items-center">
                    <h2 class="text-center" id="aboutUs">About us</h2>
                    <p class="aboutUs">ClimaTrack is your ultimate destination for accurate and up-to-date weather information. As a leading weather information site, we pride ourselves on providing comprehensive forecasts for cities worldwide. Our user-friendly interface allows you to effortlessly search for any city and instantly access detailed weather data.<br><br>
                        At ClimaTrack, we understand the importance of reliable weather forecasts in planning your day, whether it's for travel, outdoor activities, or everyday errands. Our team of meteorological experts works tirelessly to ensure that you receive the most precise and dependable weather information available.<br><br></p>
                </div>
            </div>
        </div>
       </section>
       <section class="bg-light mt-3" id="contact">
        <div class="container">
            <div class="row">
                <div class="col-md-6  mx-auto">
                    <h2 class="text-center py-4">Contact Us</h2>
                    <form>
                        <div class="mb-3">
                            <label for="name" class="form-label">Your Name</label>
                            <input type="text" class="form-control" id="name" name="name" required>
                        </div>
                        <div class="mb-3">
                            <label for="email" class="form-label">Your Email</label>
                            <input type="email" class="form-control" id="email" name="email" required>
                        </div>
                        <div class="mb-3">
                            <label for="message" class="form-label">Message</label>
                            <textarea class="form-control" id="message" name="message" rows="5" required></textarea>
                        </div>
                        <button type="submit" class="btn btn-primary mb-3">Submit</button>
                    </form>
                </div>
                <div class="col-md-6  mx-auto d-flex flex-row justify-content-around align-items-center">
                    <div>
                    <img src="./images/contact us.webp" class="contatImg img-fluid" alt="conatcts image">
                    </div>
                </div>
            </div>
        </div>
       </section>
    </main>
    <footer>
        <div class="container text-center mt-2 p-2">
            <p>&copy; 2024 ClimaTrack. All rights reserved.</p>
        </div>
    </footer>
    <script src="./script.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>